## graphicsmagick 1.4+really1.3.46

=== locale/Makefile ===
# Copyright (C) 2003 GraphicsMagick Group
#
# This program is covered by multiple licenses, which are described in
# Copyright.txt. You should have received a copy of Copyright.txt with this
# package; otherwise see http://www.graphicsmagick.org/www/Copyright.html.
#
# Generate message dictionaries from XML master file
#

# Uncomment for verbose listing
# DEBUG=-debug locale

LMC_TARGET=gm_messages.mc
LMC_INSTALL_TARGET=../magick/$(LMC_TARGET)
LCH_TARGET=locale_c.h
LCH_INSTALL_TARGET=../magick/$(LCH_TARGET)

LOCALE_XML_MASTER=locale.mgk
LOCALE_XML_DEPENDS=locale.mgk C.mgk

all: $(LCH_TARGET) $(LMC_TARGET)

# Add '-debug locale' to convert commands to see verbose listing
$(LCH_TARGET) : $(LOCALE_XML_DEPENDS)
	gm convert $(DEBUG) locale:$(LOCALE_XML_MASTER) localeh:$(LCH_TARGET)

$(LMC_TARGET): $(LOCALE_XML_DEPENDS)
	gm convert $(DEBUG) locale:$(LOCALE_XML_MASTER) localemc:$(LMC_TARGET)

$(LMC_INSTALL_TARGET) : $(LMC_TARGET)
	cp $(LMC_TARGET) $(LMC_INSTALL_TARGET)

$(LCH_INSTALL_TARGET) : $(LCH_TARGET)
	cp $(LCH_TARGET) $(LCH_INSTALL_TARGET)

install: $(LMC_INSTALL_TARGET) $(LCH_INSTALL_TARGET)

clean:
	rm -f $(LCH_TARGET) $(LMC_TARGET)

=== debian/changelog ===
graphicsmagick (1.4+really1.3.46-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.
  * No longer ship not real compatible graphicsmagick-imagemagick-compat and
    graphicsmagick-libmagick-dev-compat packages (closes: #413954, #849533).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Nov 2025 13:56:21 +0100

=== debian/control ===
Source: graphicsmagick
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, libjpeg-dev, liblcms2-dev,
 libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev,
 x11proto-core-dev, libxml2-dev, libfreetype-dev, libbz2-dev, libtiff-dev,
 libjbig-dev, libpng-dev, libwebp-dev, libheif-dev, zlib1g-dev | libz-dev,
 libzstd-dev, perl, ghostscript,
 libjxl-dev [!alpha !hurd-i386],
 fonts-urw-base35 <!nocheck>,
 sharutils <!nocheck>
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Homepage: http://www.graphicsmagick.org/

Package: graphicsmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: graphicsmagick-imagemagick-compat (<< 1.4+really1.3.46)
Replaces: graphicsmagick-imagemagick-compat (<< 1.4+really1.3.46)
Suggests: graphicsmagick-dbg
Description: collection of image processing tools
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 The tools support a large variety of image formats from the widely used
 jpeg, tiff, bmp or xpm to special-purpose formats such as fits or image
 formats found on some photo CDs. They can convert between formats,
 concatenate several images into one, annotate and distort them, create
 thumbnails or manipulate the colormap. While all features are available
 from the command-line, the package also includes an image viewer that
 allows interactive manipulation.
 .
 Note that unlike ImageMagick, the GraphicsMagick tools are accessed
 through a single executable called 'gm'. Therefore, GraphicsMagick and
 ImageMagick can be used in parallel.

Package: libgraphicsmagick-q16-3t64
Provides: ${t64:Provides}
Breaks: libgraphicsmagick-q16-3 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick3 (>= 1.3.21)
Replaces: libgraphicsmagick-q16-3, libgraphicsmagick3 (>= 1.3.21)
Recommends: ghostscript, fonts-urw-base35
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C libraries needed to run executables that use
 the GraphicsMagick library.

Package: libgraphicsmagick1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick-q16-3t64 (= ${binary:Version}), libjpeg-dev,
 liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev,
 x11proto-core-dev, libxml2-dev, libfreetype-dev, libtiff-dev,
 libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libheif-dev,
 libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, pkgconf,
 libjxl-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ia64 m68k riscv64 x32],
 ${misc:Depends}
Breaks: graphicsmagick-libmagick-dev-compat (<< 1.4+really1.3.46)
Replaces: graphicsmagick-libmagick-dev-compat (<< 1.4+really1.3.46)
Suggests: graphicsmagick
Provides: libgraphicsmagick-dev
Description: format-independent image processing - C development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C development headers and library files needed to
 compile programs using the GraphicsMagick library.

Package: libgraphicsmagick++-q16-12t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Replaces: libgraphicsmagick++-q16-12, libgraphicsmagick++-q16-11 (= 1.3.22-1)
Breaks: libgraphicsmagick++-q16-12 (<< ${source:Version}), python-pgmagick (<= 0.7.4-1), python3-pgmagick (<= 0.7.4-1), libgnudatalanguage0 (<= 0.9.9-9)
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C++ shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ libraries needed to run executables that use
 the GraphicsMagick++ library.

Package: libgraphicsmagick++1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick++-q16-12t64 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
Suggests: graphicsmagick
Provides: libgraphicsmagick++-dev
Description: format-independent image processing - C++ development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ development headers and library files needed to
 compile programs using the GraphicsMagick++ library.

Package: libgraphics-magick-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphicsmagick-dbg
Description: format-independent image processing - perl interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the classes to access GraphicsMagick functionality from
 Perl scripts. It is mostly similar to PerlMagick from the ImageMagick suite,
 but uses a different class name.

Package: graphicsmagick-dbg
Architecture: any
Section: debug
Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick-q16-3t64 (= ${binary:Version}), libgraphicsmagick++-q16-12t64 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
Description: format-independent image processing - debugging symbols
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains debugging symbols for the gm executable as well as the
 C, C++, and Perl bindings. Tools like gdb and ltrace make use of these
 symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        gm_confflags += --build $(DEB_HOST_GNU_TYPE)
else
	gm_confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ARCHS_CHECK_NOFAIL:=hppa sparc
ifneq (,$(findstring $(DEB_BUILD_ARCH),$(ARCHS_CHECK_NOFAIL)))
CHECK_FAILED_ACTION:=echo "Ignoring testsuite failures on this architecture"
else
CHECK_FAILED_ACTION:= { \
		echo "Aborting build due to testsuite failures"; \
		if test -e test-suite.log; then \
			echo "==== test-suite.log ===="; \
			cat test-suite.log; \
			echo "==== end of test-suite.log ===="; \
		fi; \
		/bin/false; \
	}
endif

# on i386, with glibc-2.18, the linker hangs on i386
# $ cat test.c
# int main(){return(0);}
# $ gcc -fPIE -pie -static test.c
# *** Error in `/usr/bin/ld': corrupted double-linked list: 0x09da0260 ***
# <linker hangs>
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
  DEB_BUILD_HARDENING_PIE:=0
endif

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

PACKAGENAME=graphicsmagick

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autoreconf
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	MVDelegate=/bin/mv \
	    ./configure $(gm_confflags) \
		--enable-shared \
		--enable-static \
		--enable-libtool-verbose \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/graphicsmagick \
		--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
		--with-x \
		--without-dps \
		--without-modules \
		--without-frozenpaths \
		--with-webp=yes \
		--with-zstd=yes \
		--with-perl \
		--with-perl-options="INSTALLDIRS=vendor" \
		--enable-quantum-library-names \
		--with-quantum-depth=16

	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  configure-stamp
	dh_testdir

	# Teach Perl binding to build without an installed library.
	# Also, we need to prune several of the security options we
	# added above:
	# * The compiler chokes on Perl's standard macro MEM_WRAP_CHECK()
	#   if -Werror=format-security is set.
	# * The Perl Makefile generator ignores linker flags it doesn't
	#   grok (ie. -pie -z relro). Hence, we need to strip -fPIE from
	#   CCFLAGS as well, or the linker would barf about non-PIC symbols.
	test -e PerlMagick/Makefile.PL.debsave || sed -i -e \
	 "/LIBS/s|\(-L[[:space:]]*\)[^[:space:]]\+|\1$(CURDIR)/magick/.libs|" \
	 -e "s/-Werror=format-security/-Wformat-security/g" \
	 -e "s/-fPIE//g" \
	 -e "s/-pie//g" \
	 PerlMagick/Makefile.PL

	$(MAKE)
	# Perl is built separately. Make sure to override the stupid
	# rpath picked up from the LIBS hack above.
	$(MAKE) perl-build LD_RUN_PATH=

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  configure-stamp
	dh_testdir

	pod2man debian/Magick.pm > 'debian/Image::Magick.3pm'

	touch build-indep-stamp

check: check-stamp
check-stamp: build-arch-stamp
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_testdir

	# Cannot patch a binary file, so do take a detour via uudecode...
	for i in `cd "$(CURDIR)/debian/reference-new"; find -name "*.uu"`; do \
		new="$(CURDIR)/debian/reference-new/$$i"; \
		orig="$${i%.uu}"; \
		save="$(CURDIR)/debian/reference-orig/$${orig}"; \
		test -f "$${orig}" || continue; \
		test ! -f "$${save}" || continue; \
		mkdir -p "`dirname $${save}`" && \
		mv "$${orig}" "$${save}" && \
		uudecode -o "$${orig}" "$${new}"; \
	done

	# FIXME Something's confusing libtool, so its wrappers don't do the
	#       library path magic they are supposed to do. I haven't found
	#       out what's wrong yet, so let's work around the problem here
	#       with a manual override to LD_LIBRARY_PATH.
	# XXX make check insists on rebuilding the Perl plugin, so we have
	#     to override LD_RUN_PATH once more. (NB: We cannot just build
	#     the plugin once here because make check is not called when
	#     cross-compiling.)
	# XXX Unset DISPLAY to make sure the PerlMagick X regression test
	#     does not pick up a stray and possibly unauthenticated entry.
	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
		unset DISPLAY; \
		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
		$(MAKE) check check-perl LD_RUN_PATH= || \
		        $(CHECK_FAILED_ACTION); \
	else \
		echo "Skipping regression tests because we appear to be cross-compiling"; \
	fi
endif
	touch check-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-arch-stamp build-indep-stamp check-stamp

	test ! -f Makefile || $(MAKE) distclean distclean-perl
	rm -f $(CURDIR)/PerlMagick/Makefile.PL

	rm -f 'debian/Image::Magick.3pm'

	# Clean up after 'patching' miff binaries.
	test ! -d "$(CURDIR)/debian/reference-orig" || \
	for i in `cd "$(CURDIR)/debian/reference-orig"; find -type f`; do \
		orig="$${i}"; \
		save="$(CURDIR)/debian/reference-orig/$$i"; \
		mv "$${save}" "$${orig}"; \
	done && rm -rf "$(CURDIR)/debian/reference-orig"
	rm -f config.log

	dh_autoreconf_clean
	dh_clean

install: build install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	
	dh_prep -i

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	
	dh_prep -a

	# pkgdocdir is hardwired in configure.ac and can only be overridden
	# here.
	$(DEB_GAIN_ROOT_CMD) $(MAKE) install install-exec-perl \
		DESTDIR=$(CURDIR)/debian/tmp \
		pkgdocdir=/usr/share/doc/$(PACKAGENAME)

	# Push dependency libs to new .private entry.
	grep -q '^Libs.private:' \
		debian/tmp/usr/lib/pkgconfig/GraphicsMagick.pc || \
	  sed -e '/^Libs:/s|-L/usr/lib\(/X11\)\? ||g' \
	      -e '/^Libs:/s|\(-lGraphicsMagick\) \(.*\)|\1\nLibs.private: -L/usr/lib/X11 \2|' \
	      -i debian/tmp/usr/lib/pkgconfig/GraphicsMagick.pc

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch check install-arch
	dh_testdir
	dh_testroot
	dh_installdirs -a
	mv debian/tmp/usr/share/doc/graphicsmagick/www/api* \
	   debian/libgraphicsmagick1-dev/usr/share/doc/libgraphicsmagick1-dev/www
	mv debian/tmp/usr/share/doc/graphicsmagick/www/Magick++/ \
	   debian/libgraphicsmagick++1-dev/usr/share/doc/libgraphicsmagick++1-dev/www
	sed -e 's|\(HREF="\)\(Magick++/\)|\1../../libgraphicsmagick++1-dev/www/\2|' \
	    -e 's|\(HREF="\)\(api.html\)|\1../../libgraphicsmagick1-dev/www/\2|' \
	    -i debian/tmp/usr/share/doc/graphicsmagick/www/programming.html
	dh_install -a --sourcedir=debian/tmp
	dh_missing -a --list-missing
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installman -a
	dh_installexamples -a
	dh_installmenu -p graphicsmagick
	dh_installmime -p graphicsmagick
	dh_link -a
	dh_strip -a --dbg-package=graphicsmagick-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -Nlibgraphicsmagick++-q16-12t64
	dh_makeshlibs -plibgraphicsmagick++-q16-12t64 \
		-V'libgraphicsmagick++-q16-12t64 (>= 1.3.26-5~)'
	dh_installdeb -a
	dh_perl -p libgraphics-magick-perl
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep \
	install-arch

=== debian/watch ===
Version: 5

Source: https://sf.net/graphicsmagick/
Matching-Pattern: GraphicsMagick-(\d\.\d+\.[1-9]+|\d\.\d+)@ARCHIVE_EXT@
Dversionmangle: s/1.4\+really//
Pgpsigurlmangle: s/$/.asc/
